Package org.apache.sling.feature.maven.mojos

# Class UpdateVersionsMojo.UpdateConfig

java.lang.Object
org.apache.sling.feature.maven.mojos.UpdateVersionsMojo.UpdateConfig

Enclosing class:
  `UpdateVersionsMojo`

public static final class UpdateVersionsMojo.UpdateConfig extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`UpdateVersionsMojo.Scope`
`defaultScope`
`List<String[]>`
`excludes`
`List<String[]>`
`includes`
`List<String>`
`includeVersionInfo`

## Constructor Summary

Constructors
Constructor
Description
`UpdateConfig()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### includes

public List<String[]> includes

### excludes

public List<String[]> excludes

### includeVersionInfo

public List<String> includeVersionInfo

### defaultScope

public UpdateVersionsMojo.Scope defaultScope

## Constructor Details

### UpdateConfig

public UpdateConfig()